Subject: bug#68545: warnings from GNU Make 3.81

From: Po Lu <[email-masked]>
Date: Thu, 18 Jan 2024 14:45:06 +0800

Eli Zaretskii <[email-masked]> writes:

> First, AFAIU the relevant Makefile target gets executed in non-Android
> builds as well.

Yes, but the warnings are generated by Make while _reading_ adjacent
targets within the same file, and do not affect the clean target itself.

> And second, if the Android build requires GNU Make >= 4.3, I think
> this should be mentioned in java/INSTALL as a prerequisite, even if
> the various other Android tools already require or provide such a new
> version.

OK, will do.

> If Mattias says this solves the problem, please install this change.

Thanks in advance.